# melawy-refind-menu-generator
Menu generator for rEFInd loader for kernels in /ESP_PATH/EFI/Linux for Arch Linux

```
cat /efi/EFI/refind/manual.conf
```
```
menuentry "EFI Arch Linux (linux-xanmod-anbox)" {
    icon     /EFI/refind/themes/lera-sugar/icons/os_arch.png
    ostype   Linux
    graphics on

    loader   /EFI/Linux/linux-xanmod-anbox.efi

    submenuentry "EFI Arch Linux (linux-xanmod-anbox) fallback" {
        loader   /EFI/Linux/linux-xanmod-anbox-fallback.efi
    }

    submenuentry "Terminal" {
        add_options "systemd.unit=multi-user.target"
    }

    submenuentry "Arch Linux (linux-xanmod-anbox)" {
        loader   /EFI/Linux/vmlinuz-linux-xanmod-anbox
        initrd   /EFI/Linux/initramfs-linux-xanmod-anbox.img
        options  "root=UUID=24f2a700-319b-41f2-853f-c5711cd4081d rw rootflags=subvol=@ quiet splash bgrt_disable nvidia-drm.modeset=1 nvme_load=YES apparmor=1 security=apparmor loglevel=3 systemd.unified_cgroup_hierarchy=0 fsck.mode=force fsck.repair=yes add_efi_memmap initrd=EFI\Linux\intel-ucode.img initrd=EFI\Linux\amd-ucode.img"
    }

    submenuentry "Arch Linux (linux-xanmod-anbox) fallback" {
        loader   /EFI/Linux/vmlinuz-linux-xanmod-anbox
        initrd   /EFI/Linux/initramfs-linux-xanmod-anbox-fallback.img
        options  "root=UUID=24f2a700-319b-41f2-853f-c5711cd4081d rw rootflags=subvol=@ quiet splash bgrt_disable nvidia-drm.modeset=1 nvme_load=YES apparmor=1 security=apparmor loglevel=3 systemd.unified_cgroup_hierarchy=0 fsck.mode=force fsck.repair=yes add_efi_memmap initrd=EFI\Linux\intel-ucode.img initrd=EFI\Linux\amd-ucode.img"
    }
}

menuentry "rEFInd HARD" {
    icon     /EFI/refind/themes/lera-sugar/icons/os_systemd-boot.png
    ostype   Linux
    graphics on
    loader /EFI/refind_hard/refind_x64.efi
}

menuentry "Windows 11" {
    icon      /EFI/refind/themes/lera-sugar/icons/os_win11.png
    ostype    Windows
    loader    /EFI/ms11/Boot/bootmgfw.efi
}

menuentry "Memtest86+ from EFI" {
    icon     /EFI/refind/themes/lera-sugar/icons/tool_memtest.png
    loader   /EFI/memtest/bootx64.efi
}

menuentry "GRUB" {
    icon     /EFI/refind/themes/lera-sugar/icons/os_systemd-boot.png
    ostype   Linux
    graphics on
    loader /EFI/boot/grubx64.efi

    disabled
}

menuentry "Systemd Boot" {
    icon     /EFI/refind/themes/lera-sugar/icons/os_systemd-boot.png
    ostype   Linux
    graphics on
    loader /EFI/systemd/systemd-bootx64.efi

    disabled
}

default_selection "linux"
```

### Donate
[Tinkoff](https://www.tinkoff.ru/rm/fadeeva.valeriya96/9bLRi79066)

[YooMoney](https://yoomoney.ru/to/4100115921160758)

[Qiwi](https://qiwi.com/n/VALERIAFADEEVA)

Etherium 0x981FBf878fe451BDB83BEaF68078394d4B13213f
